package com.systinet.demos.ws;

public interface BankProxy {


    double getAccountBalance(java.lang.String ssn, java.lang.String accountNumber) throws com.systinet.demos.bank.BalanceRetrievalException, com.systinet.demos.bank.AccountRetrievalException, com.systinet.demos.bank.CustomerNotFoundException;

    java.lang.String[] getAccountNumbers(java.lang.String ssn) throws com.systinet.demos.bank.AccountRetrievalException, com.systinet.demos.bank.CustomerNotFoundException;

    void submitTransaction(java.lang.String ssn, com.systinet.demos.bank.Transfer transfer) throws com.systinet.demos.bank.TransferProcessingException, com.systinet.demos.bank.AccountRetrievalException, com.systinet.demos.bank.CustomerNotFoundException;

    double getTotalAmount(java.lang.String ssn) throws com.systinet.demos.bank.BalanceRetrievalException, com.systinet.demos.bank.AccountRetrievalException, com.systinet.demos.bank.CustomerNotFoundException;


}