/*
 * Account.java
 *
 * Created on February 7, 2002, 11:55 AM
 */

package com.systinet.demos.bank.simple;

import com.systinet.demos.bank.Transfer;
import com.systinet.demos.bank.Balance;

import com.systinet.demos.bank.TransferRetrievalException;


/**
 *
 * @author  zdenek
 */
public class BalanceImpl implements Balance {
    
    /** Holds value of property accountNumber. */
    public String accountNumber;    

    /** Holds value of property changed. */
    public java.util.Date changed;
    
    /** Holds value of property balance. */
    public double balance;
    
    /** Holds value of property comment. */
    public String comment;
    
    /** Holds value of property transferID. */
    public long transferID;
    
    /** Holds value of property transfer. */
    public Transfer transfer;
    
    /** Creates a new instance of Account */
    public BalanceImpl() {
    }
    
    /** Getter for property accountNumber.
     * @return Value of property accountNumber.
     */
    public String getAccountNumber() {
        return this.accountNumber;
    }
    
    /** Setter for property accountNumber.
     * @param accountNumber New value of property accountNumber.
     */
    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }
    
    /** Getter for property balance.
     * @return Value of property balance.
     */
    public double getBalance() {
        return this.balance;
    }

    /** Setter for property balance.
     * @param type New value of property balance.
     */
    public void setBalance(double balance) {
        this.balance = balance;
    }

    /** Getter for property changed.
     * @return Value of property changed.
     */
    public java.util.Date getChanged() {
        return this.changed;
    }
    
    /** Setter for property changed.
     * @param ssn New value of property changed.
     */
    public void setChanged(java.util.Date changed) {
        this.changed = changed;
    }
    
    /** Getter for property comment.
     * @return Value of property comment.
     */
    public String getComment() {
        return this.comment;
    }
    
    /** Setter for property comment.
     * @param type New value of property comment.
     */
    public void setComment(String comment) {
        this.comment = comment;
    }
    
    /** Getter for property transferID.
     * @return Value of property transferID.
     */
    public long getTransferID() {
        return this.transferID;
    }
    
    /** Setter for property transferID.
     * @param type New value of property transferID.
     */
    public void setTransferID(long transferID) {
        this.transferID = transferID;
    }
    
    /** Getter for property transfer.
     * @return Value of property transfer.
     */
    public Transfer getTransfer() {
        return this.transfer;
    }
    
    /** Setter for property transfer.
     * @param type New value of property transfer.
     */
    public void setTransfer(Transfer transfer) {
        this.transfer = transfer;
    }
    
    
}